import axios from '@/utils/axios'

export default {
  /**
   * 获取分析结果（统计）
   */
  getDataCount(data) {
    return axios.post('/v2/data/analysis/count', data)
  },
  /**
   * 专利多维度分析
   */
  getAnalysisData(data) {
    return axios.post('/v2/data/analysis', data)
  },
  /**
   * 专利数据源
   */
  getAnalysisSource(params) {
    return axios.get('/v2/data/analysis/source', { params })
  },
  /**
   * 获取分析结果（矩阵）
   */
  getDataMatrix(data) {
    return axios.post('/v1/data/analysis/matrix', data)
  },
  /**
   * 根据key获取待分析的专利数量
   */
  getPatentListNum(params) {
    return axios.get('/v2/data/analysis/patentNum', { params })
  },
  /**
   * 获取分析专利数量
   */
  getPatentTotal(params) {
    return axios.get('/v2/data/analysis/patent/total', { params })
  },
  /**
   * 根据key获取待分析的专利
   */
  getPatentList(data) {
    return axios.post('/v1/data/analysis/patent', data)
  },
  /**
   * 获取维度数据
   */
  getSourceDataList(data) {
    return axios.post('/v2/data/analysis/source', data)
  },
  /**
   * 新增维度数据
   */
  addSourceData(data) {
    return axios.post('/data/source/add', data)
  },
  /**
   * 编辑维度数据
   */
  editSourceData(data) {
    return axios.post('/data/source/edit', data)
  },
  /**
   * 删除维度数据
   */
  deleteSourceData(data) {
    return axios.post('/data/source/delete', data)
  }
}
